# Turn off the brp-python-bytecompile automagic
%global _python_bytecompile_extra 0

Summary:	WYSIWYW scientific text editor
Name:		texmacs
Version:	2.1.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		http://www.texmacs.org
Source0:	http://www.texmacs.org/Download/ftp/tmftp/source/%{name}-%{version}.tar.xz
Patch0:		tm1.99.6-Wimplicit-fallthrough.patch
Patch1:		texmacs-2.1-mga-fix-install-path.patch
Patch2:		texmacs-1.99.19-guile-size_t.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	ghostscript
BuildRequires: zlib1-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64png1.6-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64python3-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64gmp-devel
BuildRequires: lib64guile1.8-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64sqlite3-devel

# no more Requires:       texlive
Provides:	TeXmacs = %{version}-%{release}
Provides:	TeXmacs-fonts = %{version}-%{release}

%description
GNU TeXmacs is a free wysiwyw (what you see is what you want) editing platform
with special features for scientists. The software aims to provide a unified
and user friendly framework for editing structured documents with different
types of content (text, graphics, mathematics, interactive content, etc.).
The rendering engine uses high-quality typesetting algorithms so as to produce
professionally looking documents, which can either be printed out or presented
from a laptop.

The software includes a text editor with support for mathematical formulas,
a small technical picture editor and a tool for making presentations from
a laptop. Moreover, TeXmacs can be used as an interface for many external
systems for computer algebra, numerical analysis, statistics, etc. New
presentation styles can be written by the user and new features can be added
to the editor using the Scheme extension language. A native spreadsheet
and tools for collaborative authoring are planned for later.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

pathfix.py -i %{__python3} -p -n plugins/mathematica/bin/realpath.py

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%cmake_qt5
%cmake_build

%install
rm -rf %buildroot
%cmake_install

desktop-file-edit \
  --remove-key="Path" \
  --remove-key="Protocols" \
  --set-key=Terminal --set-value="false" \
  --add-category="Office;WordProcessor;" \
    %{buildroot}%{_datadir}/applications/*

#drop development files from main package
rm -rf %buildroot/%{_includedir}

%files
%{_bindir}
%{_libexecdir}
%{_datadir}

%changelog
* Sun Jul 24 2022 onkelho <oh.quait at gmail.com> - 2.1.2-1pclos2022
- new release
